=== modified file '.bzrignore'
--- .bzrignore	2013-09-26 05:47:45 +0000
+++ .bzrignore	2014-02-14 09:04:01 +0000
@@ -1,8 +1,16 @@
-*.qmlproject.user
-
+*.qmlproject.user*
 debian/files
+debian/tmp
+debian/ubuntu-weather-app*
 debian/app-template/
 debian/*.debhelper.log
 debian/*.substvars
-po/Makefile
+Makefile
 .build
+.excludes
+CMakeCache.txt
+CMakeFiles/
+*.cmake
+*.gmo
+*.mo
+*.desktop

=== modified file 'CMakeLists.txt'
--- CMakeLists.txt	2014-02-14 08:27:56 +0000
+++ CMakeLists.txt	2014-02-14 09:04:01 +0000
@@ -8,7 +8,6 @@
 option(CLICK_MODE "Installs to a contained location" off)
 
 set(APP_NAME weather)
-set(DESKTOP_FILE "${PROJECT_NAME}_${APP_NAME}.desktop")
 set(URLS_FILE "${PROJECT_NAME}_${APP_NAME}.url-dispatcher")
 set(APP_HARDCODE ubuntu-weather-app)
 set(MAIN_QML ubuntu-weather-app.qml)
@@ -40,7 +39,7 @@
 
 file(GLOB_RECURSE I18N_SRC_FILES
      RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
-     components/*.qml components/*.js ${DESKTOP_FILE}.in)
+     components/*.qml components/*.js ${DESKTOP_FILE}.in.in)
 list(SORT I18N_SRC_FILES)
 
 file(GLOB SRC_FILES
@@ -49,7 +48,17 @@
 install(DIRECTORY components resources DESTINATION ${DATA_DIR})
 install(FILES ${MAIN_QML} DESTINATION ${DATA_DIR})
 
-configure_file(${DESKTOP_FILE}.in ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE})
+set(DESKTOP_FILE "${PROJECT_NAME}_${APP_NAME}.desktop")
+#configure_file(${DESKTOP_FILE}.in ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE})
+
+configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in @ONLY)
+file(REMOVE ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE})
+file(STRINGS ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in DESKTOP_FILE_CONTENTS)
+foreach(LINE ${DESKTOP_FILE_CONTENTS})
+    string(REGEX REPLACE "tr\\\(\"(.*)\"\\\)" "\\1" LINE "${LINE}")
+    file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE} "${LINE}\n")
+endforeach(LINE)
+
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
     DESTINATION ${DESKTOP_DIR})
 

=== renamed file 'com.ubuntu.weather_weather.desktop.in' => 'com.ubuntu.weather_weather.desktop.in.in'
